# vispy.visuals.infinite_line module

class vispy.visuals.infinite_line.InfiniteLineVisual(pos=None, color=(1.0, 1.0, 1.0, 1.0), line_width=1.0, antialias=False, vertical=True, **kwargs)

  Bases: `Visual`

  Infinite horizontal or vertical line for 2D plots.

  Parameters:
    pos float

      Position of the line along the axis.

    color list, tuple, or array

      The color to use when drawing the line. If an array is given, it must be of shape (1, 4) and provide one rgba color per vertex.

    line_width: float

      The width of the Infinite line, in pixels

    antialias: bool

      If the line is drawn with antialiasing

    vertical:

      True for drawing a vertical line, False for an horizontal line

  property antialias
  property color
  property is_vertical
  property line_width
  property pos
  set_data(pos=None, color=None)

    Set the data

    Parameters:
      pos float

        Position of the line along the axis.

      color list, tuple, or array

        The color to use when drawing the line. If an array is given, it must be of shape (1, 4) and provide one rgba color per vertex.

previous

vispy.visuals.image_complex module

next

vispy.visuals.instanced_mesh module